--  泳池派对
Lua_PoolPartyWindow = class("Lua_PoolPartyWindow", Lua_SecondSizeWindow);
function Lua_PoolPartyWindow:ctor()
	self:superCall("ctor");
	self.isModel = true;
	self.titleText = LanUtil.getValue(140806);
	self.windowName = "Lua_PoolPartyWindow";
	self.skinName = "PoolPartyWindow_skin";
end
	
function Lua_PoolPartyWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleLab.text = LanUtil.formateStr(LanUtil.getValue(140807),tostring(DataCenter.poolPartyData.showActivityTime));
	self.titleLab1.text = LanUtil.getValue(140808);
	self.wenhao:addClickFuntion(self,self.onHelp);

	self.tiltebg.imgTypeNum = 4;
	self.tiltebg.widget.border = Vector4(0, 10, 0, 10);

	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:buildShowItem();
	self.rItem:setLayout(100, 100, 9);
	self.rItem:setMaxShow(9);
	self.rItem:setDepth(self.depth+10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(1,1);
	self.rItem:setLocation(284.5,-165.5, 0);
	self.rItem:setRewardByRewardList(Array(DataCenter.poolPartyData.rewardId));

	self.Button:addClickFuntion(self,self.onButtonClick);
end

function Lua_PoolPartyWindow:onButtonClick()
	if DataCenter.poolPartyData.isInPoolPartyScene then
		OperateAlert.show(LanUtil.getValue(121805));
		return;
	end
	Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sOnGoInPoolPartyScene();
end

function Lua_PoolPartyWindow:onHelp()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(140809));
end

function Lua_PoolPartyWindow:dispose()
	self:superCall("dispose");
end